Confirm Transaction
curl --request POST \
--url http://127.0.0.1:3000/transaction/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_id": "SONECTljeeQWo99a7TxB",
"transaction_id_partner": "abcd1234"
}
'import requests
url = "http://127.0.0.1:3000/transaction/confirm"
payload = {
"transaction_id": "SONECTljeeQWo99a7TxB",
"transaction_id_partner": "abcd1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction_id: 'SONECTljeeQWo99a7TxB', transaction_id_partner: 'abcd1234'})
};
fetch('http://127.0.0.1:3000/transaction/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
POS Integration
Confirm Transaction
When a user sends a request and shows the barcode, client will scan it. The barcode is the transaction-id. When the cashier scans the barcode, he/she is confirming the transaction.
POST
/
transaction
/
confirm
Confirm Transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Successful response
⌘I

